<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>VueJS Introduction</title>

        <link rel="stylesheet" href="css/semantic.css">

        <style>
            .main.container {
                padding-top: 50px;
            }
        </style>
    </head>
    <body>

        <div class="ui inverted fixed menu">
            <div class="header item">Tutorial</div>
        </div>

        <div class="ui main container" id="app">

            <input type="text" v-model="cls" :true-value="'success'" :false-value="'error'">
            <input type="checkbox" v-model="success">

            <br>

            <a :href="link" :title="message">{{ message }}</a>

            <ul>
                <li v-for="person in persons">{{ person }}</li>
            </ul>

            <div class="ui success message" v-if="success">
                <i class="close icon" @click="close"></i>
                <p>Bravo votre enregistrement a marché</p>
                <p>{{ message }}</p>
            </div>

            <div class="ui error message" v-else>
                <p>Echec ça n'a pas marché</p>
            </div>

            <div class="ui message" :class="{success: success, error: !success}" :style="style()">
                <i class="close icon" @click="close"></i>
                <p>{{ message }}</p>
            </div>

            <div class="ui message" :class="cls">
                <i class="close icon" @click="close"></i>
                <p>{{ message }}</p>
            </div>

        </div>

        <script type="text/javascript" src="js/vue.js"></script>
        <script src="js/app.js"></script>
    </body>
</html>